AnyMap
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.stubs
Class AnyMap

    java.lang.Object
      org.gcube.vremanagement.executor.stubs.AnyMap

All Implemented Interfaces:
  java.io.Serializable

    public class AnyMap

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`AnyMap()`
`AnyMap(AnyPair[] entries)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`AnyPair[]` | `getEntries()` Gets the entries value for this AnyMap.
`AnyPair` | `getEntries(int i)`
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setEntries(AnyPair[] entries)` Sets the entries value for this AnyMap.
`void` | `setEntries(int i, AnyPair _value)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnyMap

    public AnyMap()

### AnyMap

    public AnyMap(AnyPair[] entries)

Method Detail

### getEntries

    public AnyPair[] getEntries()

  Gets the entries value for this AnyMap.

  Returns:
    entries

### setEntries

    public void setEntries(AnyPair[] entries)

  Sets the entries value for this AnyMap.

  Parameters:
    `entries` -

### getEntries

    public AnyPair getEntries(int i)

### setEntries

    public void setEntries(int i,
                           AnyPair _value)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD